Bug 630198 - (ghc-safe) Review Request: ghc-safe - Library for safe (pattern match free) functions
Review Request: ghc-safe - Library for safe (pattern match free) functions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
: 630197 (view as bug list)
Depends On:
Blocks: ghc-hledger-lib
  Show dependency treegraph
 
Reported: 2010-09-03 21:31 EDT by Ben Boeckel
Modified: 2014-11-12 18:12 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-safe-0.3.3-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-07 14:52:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-03 21:31:46 EDT
Spec: http://benboeckel.net/packaging/ghc-safe/ghc-safe.spec
SRPM: http://benboeckel.net/packaging/ghc-safe/ghc-safe-0.2-1.fc14.src.rpm
Description:
Partial functions from the base library, such as @head@ and
@!!@, modified to return more descriptive error messages,
programmer defined error messages, @Maybe@ wrapped results
and default values. These functions can be used to reduce the
number of unsafe pattern matches in your code.

% lintmock fedora-14-x86_64-bb
ghc-safe.src: W: strange-permission safe-0.2.tar.gz 0640L
ghc-safe.src: W: strange-permission ghc-safe.spec 0640L
ghc-safe-prof.x86_64: E: devel-dependency ghc-safe-devel
ghc-safe-prof.x86_64: W: no-documentation
ghc-safe-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/safe-0.2/libHSsafe-0.2_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings
Comment 1 Ben Boeckel 2010-09-03 22:01:52 EDT
*** Bug 630197 has been marked as a duplicate of this bug. ***
Comment 2 Narasimhan 2010-12-30 14:56:04 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i *.rpm ../ghc-safe.spec 
ghc-safe.src: W: strange-permission safe-0.2.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-safe.src: W: strange-permission ghc-safe.spec 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-safe-prof.x86_64: E: devel-dependency ghc-safe-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-safe-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-safe-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/safe-0.2/libHSsafe-0.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 4 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, BSD 3-clause
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD 3 clause
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file included in base package under /usr/share/doc/
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

 md5sum ghc-safe-0.2-1.fc14.src/safe-0.2.tar.gz 
e5331578ea7e0b68ed1ea4df923a23ca  ghc-safe-0.2-1.fc14.src/safe-0.2.tar.gz

md5sum ~/Downloads/safe-0.2.tar.gz 
e5331578ea7e0b68ed1ea4df923a23ca  ~/Downloads/safe-0.2.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery  --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-safe
error: Failed dependencies:
	ghc-safe = 0.2-1.fc14 is needed by (installed) ghc-safe-devel-0.2-1.fc14.x86_64

rpm -e ghc-safe-devel
error: Failed dependencies:
	ghc-safe-devel = 0.2-1.fc14 is needed by (installed) ghc-safe-prof-0.2-1.fc14.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
Checked with rpmquery --list
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Imported the module in ghci, no errors. 
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED
Comment 3 Narasimhan 2010-12-30 14:57:41 EST
A new version of the package is available.
Comment 4 Ben Boeckel 2011-01-02 19:33:11 EST
New Package CVS Request
=======================
Package Name: ghc-safe
Short Description: Library for safe (pattern match free) functions
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 5 Jason Tibbitts 2011-01-03 10:15:32 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-01-29 12:52:12 EST
ghc-safe-0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-safe-0.3-1.fc13
Comment 7 Fedora Update System 2011-01-29 12:52:20 EST
ghc-safe-0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-safe-0.3-1.fc14
Comment 8 Fedora Update System 2011-01-30 14:50:08 EST
ghc-safe-0.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-safe'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-safe-0.3-1.fc13
Comment 9 Fedora Update System 2011-02-07 14:52:46 EST
ghc-safe-0.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-02-07 14:59:37 EST
ghc-safe-0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Jens Petersen 2014-10-23 00:35:42 EDT
Package Change Request
======================
Package Name: ghc-safe
New Branches: epel7 el6
Owners: mathstuf petersen
InitialCC: haskell-sig
Comment 12 Jon Ciesla 2014-10-23 08:15:34 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2014-10-24 05:51:24 EDT
ghc-safe-0.3.3-7.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ghc-safe-0.3.3-7.el7
Comment 14 Fedora Update System 2014-11-12 18:12:45 EST
ghc-safe-0.3.3-7.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.